{#
/**
 * @file
 * Template for the branding block.
 */
#}
{% set logo_width = '80px' %}
{% set logo_height = '22px' %}

{% block logo_block %}
  {%
    embed 'radix:block' with {
      block_utility_classes: [
        'block--system-branding',
        'navbar-brand-parent',
      ],
    }
  %}
    {% block block_content %}
      {%
        include 'radix:navbar-brand' with {
          text: site_name,
          site_slogan,
          image: logo_custom_path|default(site_logo),
          width: logo_width,
          height: logo_height,
          path: path('<front>'),
          alt: logo_custom_alt|default(elements.content.site_name['#markup'] ~ ' logo'),
          title: logo_custom_title,
        }
      %}
    {% endblock %}
  {% endembed %}
{% endblock logo_block %}
